LIBKYREALTIME(3)

NAME
kdk_real_get_net_speed, kdk_real_get_cpu_temperature, kdk_real_get_disk_temperature, kdk_real_get_disk_rate, kdk_real_get_if_speed - 获取瞬时信息

SYNOPSIS
#include <libkyrealtimeinfo.h>

extern float kdk_real_get_net_speed(const char *nc);

extern double kdk_real_get_cpu_temperature();

extern int kdk_real_get_disk_temperature(const char *name);

extern int kdk_real_get_disk_rate(const char *name);

extern float kdk_real_get_if_speed(const char *nc);

Link with -lkyrealtime.

Detailed Description
This library contains instantaneous information about the current system.

RETURN VALUE
The return value is generally specific to the individual function called.

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_real_get_net_speed(), kdk_real_get_cpu_temperature(), kdk_real_get_disk_temperature(), kdk_real_get_disk_rate() and kdk_real_get_if_speed().

SEE ALSO
kdk_real_get_net_speed(3), kdk_real_get_cpu_temperature(3), kdk_real_get_disk_temperature(3), kdk_real_get_disk_rate(3) and kdk_real_get_if_speed(3).